# Docli 

## 🛠 How the Docli directory works

Docli is a command line utility based on [Frappe Bench](https://github.com/frappe.bench).

- Install applications
- Manage multiple sites and update Dodock / Dokos applications on [\*nix](https://en.wikipedia.org/wiki/Unix-like#Definition) (CentOS, Debian, Ubuntu, etc.) for development and production.

## 🚀 Dokos project 

Dokos is a 100% open-source management software that is based on ERPNext.

It is distributed under the GPLv3 license.

The 100% web architecture of Dokos allows you to use it in a public cloud as well as in a private cloud.

You can install it on your own servers.

The Dodock framework on which Dokos is installed also allows the installation of other applications. You can thus develop your own customizations, host them on your server and make them evolve in parallel with Dokos, without modifying its source code.

## 📚 Use and documentation

#### Installation and use 🚧

##### 1. Documentation to set up Dokos : [Documentation](https://doc.dokos.io/fr)

##### 2. Access to the Dokos community: [Forum](https://community.dokos.io/)

#### How to contribute 🚀

**Description of the process and the branches to use**

1. I create a ticket with my proposal

- if it is for a new feature

- if a discussion is needed before making a Merge Request

2. I propose a Merge Request with my fixes/new features

3. The merge request must always be proposed on the develop branch and a retrofit request must be made in the merge request description

4. The merge request must contain a complete description and possibly screenshots

5. If a documentation is needed, it must be created on the wiki before the Merge Request is sent for validation

👉 Link to submit a ticket: **[Here](https://gitlab.com/dokos/dokos/-/issues)**

### 🔗 Useful links

- Detailed documentation: [doc.dokos.io](https://doc.dokos.io/fr/home)

- Community forum: [community.dokos.io](https://community.dokos.io/)

- Youtube channel: [Dokos Youtube](https://www.youtube.com/channel/UC2f3m8QANAVfKi2Pzw2fBlw)

- The Facebook page: [Dokos Facebook](https://www.facebook.com/dokos.io)

- The Linkedin page: [Dokos Linkedin](https://www.linkedin.com/company/dokos.io)

### ❔ More information

#### Website 🗂

For details and documentation, see the website

[https://dokos.io](https://dokos.io)

#### License 📄

This repository has been released under the [GNU-GPLv3](LICENSE).

#### Publisher 📌

Dokos SAS
